<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<div>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.fs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.blrJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.navJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.job"></cv:cvMessages>
	<cv:cvMessages bundle="localization.vmsJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.alerts"></cv:cvMessages>
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	<cv:cvMessages bundle="localization.settings"></cv:cvMessages>
	<cv:cvMessages bundle="localization.storage"></cv:cvMessages>
	<cv:cvMessages bundle="localization.replicationGroups"></cv:cvMessages>
	<cv:cvEnum name="BlockReplication.BlockReplicationStatus"></cv:cvEnum>
	<cv:cvEnum name="BlockReplication.BlockReplicationBootStatus"></cv:cvEnum>
	<cv:cvEnum name="BlockReplication.BLRRecoveryType"></cv:cvEnum>
</script>
	<!--
	<div class="row">
		<div class="col-md-12">
			<span data-ng-if="isAdmin && blrDetailInfo" data-ng-click="gotoJobs()">
				<a class="page-action-item" href=""><cv:msg key="Jobs" bundle="job" /></a>
			</span>
		</div>
	</div>
	-->
<div class="row">
    <div class="col-xs-12">
    	<h1 class="page-title">{{blrDetailInfo.sourceName}}<span class="arrow-gray glyphicon glyphicon-arrow-right margin-left-10 margin-right-10" title="<cv:msg key="label.syncDirection" bundle="vmsJs"/>"/>{{blrDetailInfo.destinationName}}</h1>
    	<cv-capability-links data-ng-if="pairPermittedActionsLoaded" cv-permitted-options="pairPermittedOptions"></cv-capability-links>
    </div>
</div>
	<div class="row" data-ng-if="!noStatsFound" >

		<div class="col-md-6">
			<cv-tile-component data-ac-id="blockReplicationGroupsDetail-graph1">
				<highchart class="blr-stats-graphs" data-config="blrStatsChart1Config"></highchart>
			</cv-tile-component>
		</div>
		<div class="col-md-6">
			<cv-tile-component data-ac-id="blockReplicationGroupsDetail-graph1">
				<highchart class="blr-stats-graphs" data-config="blrStatsChart2Config"></highchart>
			</cv-tile-component>
		</div>
	</div>
	<div class="row" data-ng-if="noStatsFound" >
		<div class="col-md-6">
			<cv-tile-component data-ac-id="empty-graph1" data-title="<cv:msg key="label.title.replicationPerformanceGraph" bundle="blrJs"/>">
				<div class="server-message"><cv:msg key="label.info.noStatsFound" bundle="blrJs"/></div>
			</cv-tile-component>
		</div>
		<div class="col-md-6">
			<cv-tile-component data-ac-id="empty-graph2" data-title="<cv:msg key="label.title.journalRetentionGraph" bundle="blrJs"/>">
				<div  class="server-message"><cv:msg key="label.info.noStatsFound" bundle="blrJs"/></div>
			</cv-tile-component>
		</div>
	</div>

	<div class="row">
		<div class="col-md-6">
			<cv-tile-component data-ac-id="blockReplicationGroupsDetail-label_replicationDetail-blrJs" loader="blrDetailsLoaded" data-title="<cv:msg key="label.replicationDetail" bundle="blrJs"/>">
				<ul class="group list-style-secondary">
					<li class="group"><span class="pageDetailColumn"><cv:msg key="header.name" bundle="blrJs"/></span>
						<span class="pageDetailColumn" data-ng-bind="blrDetailInfo.sourceName"></span></li>
					<li class="group"><span class="pageDetailColumn"><cv:msg key="header.destination" bundle="blrJs"/></span>
						<span class="pageDetailColumn" data-ng-bind="blrDetailInfo.destinationName"></span></li>
					<li class="group"><span class="pageDetailColumn"><cv:msg key="header.recoveryType" bundle="blrJs"/></span>
						<span class="pageDetailColumn">{{blrDetailInfo.additionalInfo.recoveryType}}</span>
					</li>
					<li class="group"><span class="pageDetailColumn"><cv:msg key="header.status" bundle="blrJs"/></span>
						<span class="pageDetailColumn" >{{blrDetailInfo.additionalInfo.eventMessageString ? blrDetailInfo.additionalInfo.statusString + ', ' + blrDetailInfo.additionalInfo.eventMessageString : blrDetailInfo.additionalInfo.statusString}}</span></li>
					<li class="group"><span class="pageDetailColumn"><cv:msg key="label.replicationLag" bundle="blrJs"/></span>
						<span class="pageDetailColumn" data-ng-bind="blrDetailInfo.additionalInfo.lagTime"></span></li>
					<li class="group" data-ng-if="blrDetailInfo.testScheduleInfo && blrDetailInfo.testScheduleInfo.scheduleName">
						<span class="pageDetailColumn">{{testScheduleLabel}}</span>
						<span class="pageDetailColumn">
							<a data-ng-href="{{blrDetailInfo.testScheduleInfo.href}}">{{blrDetailInfo.testScheduleInfo.scheduleName}}</a>
						</span>
					</li>
					<li class="group" data-ng-if="blrDetailInfo.permScheduleInfo && blrDetailInfo.permScheduleInfo.scheduleName">
						<span class="pageDetailColumn">{{permScheduleLabel}}</span>
						<span class="pageDetailColumn">
							<a data-ng-href="{{blrDetailInfo.permScheduleInfo.href}}">{{blrDetailInfo.permScheduleInfo.scheduleName}}</a>
						</span>
					</li>
				</ul>
			</cv-tile-component>
		</div>
		<div class="col-md-6" >
<!--  BLR - FS to FS - Edit Replication Pairs -- START -->
	<div data-ng-if="blrDetailInfo.isBLRFSToFS">
		<cv-tile-component loader="blrDetailsLoaded" data-title="<cv:msg key="label.replicationPair" bundle="blrJs"/>">
			<!-- Display selected volumes and Browse Button - GRID : START -->
				<div class="form-group" >
					<div  class="col-xs-12 col-md-12 livesyncio-grid" >
						<cv-kendo-grid  id="liveSyncIOFSToFSPairs" data-cv-grid-options="gridOptionsForLiveSyncIOFSToFSPairs"></cv-kendo-grid>
					</div>
			  	</div>
				<!-- Display selected volumes and Browse Button - GRID : END -->
		</cv-tile-component>
	</div>
	<!--  BLR - FS to FS - Edit Replication Pairs -- END -->
			<cv-tile-component data-ng-if='blrDetailInfo.blrRecoveryOpts.recoveryType === "GRANULARV2"' data-ac-id="blockReplicationGroupsDetail-label_recoveryOptions-blrJs" loader="blrDetailsLoaded" data-title="<cv:msg key="label.recoveryOptions" bundle="blrJs"/>">
				<ul class="group list-style-secondary">
					<li class="group"><span class="pageDetailColumn"><cv:msg key="label.rpStore" bundle="blrJs"/></span>
						<span class="pageDetailColumn" data-ng-bind="blrDetailInfo.blrRecoveryOpts.granular.rpStoreName"></span></li>
					<li class="group"><span class="pageDetailColumn"><cv:msg key="label.ccrpInterval" bundle="blrJs"/></span>
						<span class="pageDetailColumn" data-ng-bind="blrDetailInfo.additionalInfo.ccrpInterval"></span></li>
					<li class="group" data-ng-if="blrDetailInfo.additionalInfo.acrpInterval"><span class="pageDetailColumn"><cv:msg key="label.acrpInterval" bundle="blrJs"/></span>
						<span class="pageDetailColumn" data-ng-bind="blrDetailInfo.additionalInfo.acrpInterval"></span></li>
					<li class="group" data-ng-if="blrDetailInfo.additionalInfo.rpMergeDelay"><span class="pageDetailColumn"><cv:msg key="label.rpMergeDelay" bundle="blrJs"/></span>
						<span class="pageDetailColumn" data-ng-bind="blrDetailInfo.additionalInfo.rpMergeDelay"></span></li>
					<li class="group"><span class="pageDetailColumn"><cv:msg key="label.rpRetention" bundle="blrJs"/></span>
						<span class="pageDetailColumn" data-ng-bind="blrDetailInfo.additionalInfo.rpRetention"></span></li>
					<li class="group" data-ng-if="blrDetailInfo.additionalInfo.maxRpInterval"><span class="pageDetailColumn"><cv:msg key="label.maxRpInterval" bundle="blrJs"/></span>
						<span class="pageDetailColumn" data-ng-bind="blrDetailInfo.additionalInfo.maxRpInterval"></span></li>
					<li class="group" data-ng-if="blrDetailInfo.additionalInfo.maxRpStoreOfflineTime"><span class="pageDetailColumn"><cv:msg key="label.maxRpStoreOfflineTime" bundle="blrJs"/></span>
						<span class="pageDetailColumn" data-ng-bind="blrDetailInfo.additionalInfo.maxRpStoreOfflineTime"></span></li>
					<li class="group"><span class="pageDetailColumn"><cv:msg key="label.useOffPeakSchedule" bundle="blrJs"/></span>
						<span class="pageDetailColumn" data-ng-bind="blrDetailInfo.additionalInfo.useOffPeakSchedule"></span></li>
				</ul>
			</cv-tile-component>
		</div>
	</div>
	<div class="row">
		<div class="page-details-list col-md-12">
			<cv-kendo-grid data-ng-if="loadGridBootDetails" id="liveSyncIOBootDetails" data-cv-grid-options="gridOptionsForBootDetails"></cv-kendo-grid>
		</div>
		<div class="page-details-list col-md-12"></div>
	</div>
</div>