<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.collections"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.frel"></cv:cvMessages>
</script>


<div class="bootstrap-wrapper no-padding form-horizontal" id="divFrelStepFive">

	<!--	server Message - START -->
	<div class="form-group" data-ng-if="localDataObject.serverMessage.message" id="divServerMessage">
		<div class="col-xs-12">
			<span class="{{localDataObject.serverMessage.type}}" data-ng-bind-html="localDataObject.serverMessage.message"></span>
		</div>
	</div>
	<!--	server Message - END -->


	<!--	All controls - START -->
	<div id="divAllControls">
			<!--	VM Name - START -->
			<div class="form-group" id="divVMName">
				<div class="col-md-3" >
					<cv:msg key="label.vmName" bundle="frel"/>
				</div>
				<div class="col-md-9 font-weight-bold">
					<span data-ng-bind="model.vmName" ></span>
			  	</div>
			</div>
			<!--	VM Name - END -->

			<!--	Location - START -->
			<div class="form-group" id="divLocation">
				<div class="col-md-3" >
					<cv:msg key="label.location" bundle="frel"/>
				</div>
				<div class="col-md-9 font-weight-bold">
					<span data-ng-bind="model.selectedDestinationLocation.selectedContent[0].displayName" ></span>
			  	</div>
			</div>
			<!--	Location - END -->

			<!--	Resource - START -->
			<div class="form-group" id="divResource">
				<div class="col-md-3" >
					<cv:msg key="label.resource" bundle="frel"/>
				</div>
				<div class="col-md-9 font-weight-bold">
					<span data-ng-bind="model.selectedDestinationResource.selectedContent[0].displayName" ></span>
			  	</div>
			</div>
			<!--	Resource - END -->

			<!--	Destination Network - START -->
			<div class="form-group" id="divDestinationNetwork">
				<div class="col-md-3" >
					<cv:msg key="label.destinationnNetwork" bundle="frel"/>
				</div>
				<div class="col-md-9 font-weight-bold">
					<span data-ng-bind="model.selectedDestinationNetwork[0].networkName" ></span>
			  	</div>
			</div>
			<!--	Destination Network - END -->

			<!--	Disk Format - START -->
			<div class="form-group" id="divDiskFormat">
				<div class="col-md-3" >
					<cv:msg key="label.diskFormat" bundle="frel"/>
				</div>
				<div class="col-md-9 font-weight-bold">
					<span data-ng-bind="model.selectedDiskFormat[0].description" ></span>
			  	</div>
			</div>
			<!--	Disk Format - END -->

			<!--	Storage - START -->
			<div class="form-group" id="divStorage">
				<div class="col-md-3" >
					<cv:msg key="label.storage" bundle="frel"/>
				</div>
				<div class="col-md-9 font-weight-bold">
					<span data-ng-bind="model.selectedDataStore.dataStoreName" ></span>
			  	</div>
			</div>
			<!--	Destination Network - END -->


			<!--	client Name - START -->
			<div class="form-group" id="divClientName">
				<div class="col-md-3" >
					<cv:msg key="label.clientName" bundle="frel"/>
				</div>
				<div class="col-md-9 font-weight-bold">
					<span data-ng-bind="model.clientName" ></span>
			  	</div>
			</div>
			<!--	client Name - END -->

			<!--	host Name - START -->
			<div class="form-group" id="divHostName">
				<div class="col-md-3" >
					<cv:msg key="label.hostName" bundle="frel"/>
				</div>
				<div class="col-md-9 font-weight-bold">
					<span data-ng-bind="model.hostName" ></span>
			  	</div>
			</div>
			<!--	host Name - END -->

			<!--	group Name - START -->
			<div class="form-group" id="divGroupName">
				<div class="col-md-3" >
					<cv:msg key="label.groupName" bundle="frel"/>
				</div>
				<div class="col-md-9 font-weight-bold">
					<span data-ng-bind="localDataObject.selectedServerGroups" ></span>
			  	</div>
			</div>
			<!--	group Name - END -->

			<!--	auto OS Update - START -->
			<div class="form-group" id="divAutoOSUpdates">
				<div class="col-md-3" >
					<cv:msg key="label.autoOSUpdate" bundle="frel"/>
				</div>
				<div class="col-md-9 font-weight-bold">
					<span class="status-img">
						<span class="k-icon" data-ng-class="model.autoOSUpdates == model.toggleControlStatus.enabled ? 'k-i-checkbox-checked' : 'k-i-checkbox'" ></span>
					</span>
			  	</div>
			</div>
			<!--	auto OS Update - END -->

			<!--	use DHCP - START -->
			<div class="form-group" id="divUseDHCP">
				<div class="col-md-3" >
					<cv:msg key="label.useDHCP" bundle="frel"/>
				</div>
				<div class="col-md-9 font-weight-bold">
					<span class="status-img">
						<span class="k-icon" data-ng-class="model.useDHCP == model.toggleControlStatus.enabled ? 'k-i-checkbox-checked' : 'k-i-checkbox'" ></span>
					</span>
			  	</div>
			</div>
			<!--	use DHCP - END -->


			<div id="divDoNotShowForDHCP"  data-ng-if="model.useDHCP==model.toggleControlStatus.disabled">
				<!--	staticIP - START -->
				<div class="form-group" id="divStaticIP">
					<div class="col-md-3" >
						<cv:msg key="label.staticIP" bundle="frel"/>
					</div>
					<div class="col-md-9 font-weight-bold">
						<span data-ng-bind="model.staticIP" ></span>
				  	</div>
				</div>
				<!--	staticIP - END -->

				<!--	netmask - START -->
				<div class="form-group" id="divNetmask">
					<div class="col-md-3" >
						<cv:msg key="label.netmask" bundle="frel"/>
					</div>
					<div class="col-md-9 font-weight-bold">
						<span data-ng-bind="model.netmask" ></span>
				  	</div>
				</div>
				<!--	netmask - END -->

				<!--	gateway - START -->
				<div class="form-group" id="divGateway">
					<div class="col-md-3" >
						<cv:msg key="label.gateway" bundle="frel"/>
					</div>
					<div class="col-md-9 font-weight-bold">
						<span data-ng-bind="model.gateway" ></span>
				  	</div>
				</div>
				<!--	gateway - END -->

				<!--	dnsSearch - START -->
				<div class="form-group" id="divDNSSearch">
					<div class="col-md-3" >
						<cv:msg key="label.dnsSearch" bundle="frel"/>
					</div>
					<div class="col-md-9 font-weight-bold">
						<span data-ng-bind="model.dnsSearch" ></span>
				  	</div>
				</div>
				<!--	dnsSearch - END -->

				<!--	nameServer1 - START -->
				<div class="form-group" id="divNameServer1">
					<div class="col-md-3" >
						<cv:msg key="label.nameServer1" bundle="frel"/>
					</div>
					<div class="col-md-9 font-weight-bold">
						<span data-ng-bind="model.nameServer1" ></span>
				  	</div>
				</div>
				<!--	nameServer1 - END -->

				<!--	nameServer2 - START -->
				<!-- NOTE: have to add "margin-bottom-10" here because form-group adds ".bootstrap-wrapper .form-group:last-child" to last element,
				and this is the last element of conditional div -->
				<div class="form-group margin-bottom-10" id="divNameServer2">
					<div class="col-md-3" >
						<cv:msg key="label.nameServer2" bundle="frel"/>
					</div>
					<div class="col-md-9 font-weight-bold">
						<span data-ng-bind="model.nameServer2" ></span>
				  	</div>
				</div>
				<!--	nameServer2 - END -->
			</div>


				<!--	CommServe - START -->
				<div class="form-group" id="divCommServe">
					<div class="col-md-3" >
						<cv:msg key="label.commServe" bundle="frel"/>
					</div>
					<div class="col-md-9 font-weight-bold">
						<span data-ng-bind="model.commServe" ></span>
				  	</div>
				</div>
				<!--	CommServe - END -->

	</div>
	<!--	All controls - END -->

	<!--	Buttons - START -->
	<div  class="cv-wizard-default-actions row"  id="divButtons">
    	<div class="col-xs-12 no-padding ">
    		<div class="col-xs-3 col-md-2">
            	<cv-wizard-button data-cv-type="cancel">
            	</cv-wizard-button>
        	</div>
        	<div class="col-xs-3 col-xs-offset-3 col-md-offset-6 col-md-2 ">
            	<cv-wizard-button data-cv-type="previous">
            	</cv-wizard-button>
        	</div>
        	<div class="col-xs-3 col-md-2">
            	<cv-wizard-button data-cv-type="finish">
            	</cv-wizard-button>
        	</div>
    	</div>
	</div>
	<!--	Buttons - END -->

</div>
