<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.collections"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.frel"></cv:cvMessages>
	<cv:cvMessages bundle="localization.restore"></cv:cvMessages>
	<cv:cvMessages bundle="localization.users"></cv:cvMessages>
	<cv:cvMessages bundle="localization.servers"></cv:cvMessages>
	<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.dbs"></cv:cvMessages>
</script>


<div class="bootstrap-wrapper no-padding form-horizontal" id="divFrelStepFour">

	<!--	server Message - START -->
	<div class="form-group" data-ng-if="localDataObject.serverMessage.message" id="divServerMessage">
		<div class="col-xs-12">
			<span class="{{localDataObject.serverMessage.type}}" data-ng-bind-html="localDataObject.serverMessage.message"></span>
		</div>
	</div>
	<!--	server Message - END -->


	<!--	All controls - START -->
	<div id="divAllControls">
		<!--	all accordians - START -->
		<div class="row" id="divAllAccordians" >
			<uib-accordion close-others="true" class="text-left">
				<!--	client Configuration - START -->
				<cv-plain-accordion
				accordion-label='label.clientConfiguration'
				collapsed="false"
				class="accordion-bg-color"
				>
					<div class="form-group padding-left-15">
						<div id="divclientName">
							<label for="clientName" class="col-md-3">
							<cv:msg key="label.clientName" bundle="frel" />
							</label>
							<div class="col-md-9">
								<input type="text" name="clientName" data-ng-model="model.clientName" id="clientName" name="clientName"  maxlength="100" data-ng-pattern="model.alphanumeric" required
								placeholder="<cv:msg key="label.clientName" bundle="frel" />" />
								<span class="help-block" data-ng-show="frelDeployForm.clientName.$dirty && frelDeployForm.clientName.$error.required"><cv:msg key="error.clientName" bundle="frel" /></span>
								<span class="help-block" data-ng-show="frelDeployForm.clientName.$dirty && frelDeployForm.clientName.$error.pattern"><cv:msg key="error.alphanumeric" bundle="frel" /></span>
							</div>
						</div>
						<div id="divHostName">
							<label for="hostName" class="col-md-3">
							<cv:msg key="label.hostName" bundle="frel" />
							</label>
							<div class="col-md-9">
								<input type="text" name="hostName" data-ng-model="model.hostName" id="hostName" name="hostName"  maxlength="100" data-ng-pattern="model.alphanumeric" required
								placeholder="<cv:msg key="label.hostName" bundle="frel" />" />
								<span class="help-block" data-ng-show="frelDeployForm.hostName.$dirty && frelDeployForm.hostName.$error.required"><cv:msg key="error.hostName" bundle="frel" /></span>
								<span class="help-block" data-ng-show="frelDeployForm.hostName.$dirty && frelDeployForm.hostName.$error.pattern"><cv:msg key="error.alphanumeric" bundle="frel" /></span>
							</div>
						</div>
						<div id="divPassword">
							<label for="passwordForRoot" class="col-md-3">
							<cv:msg key="label.password" bundle="frel" />
							</label>
							<div class="col-md-9">
								<input type="password" autofocus name="passwordForRoot" data-ng-model="model.passwordForRoot" id="passwordForRoot" name="passwordForRoot"  maxlength="50" required
								placeholder="<cv:msg key="label.password" bundle="frel" />" />
								<span class="help-block" data-ng-show="frelDeployForm.passwordForRoot.$dirty && frelDeployForm.passwordForRoot.$error.required"><cv:msg key="error.passwordForRoot" bundle="frel" /></span>
							</div>
						</div>
						<div id="divConfirmPassword">
							<label for="confirmPasswordForRoot" class="col-md-3">
							<cv:msg key="label.confirmPassword" bundle="frel" />
							</label>
							<div class="col-md-9">
								<input type="password" name="confirmPasswordForRoot" data-ng-model="model.confirmPasswordForRoot" id="confirmPasswordForRoot" name="confirmPasswordForRoot"  maxlength="50" required
								data-cv-equals="{{model.passwordForRoot}}"
								placeholder="<cv:msg key="label.confirmPassword" bundle="frel" />" />
								<span class="help-block" data-ng-show="frelDeployForm.confirmPasswordForRoot.$dirty && frelDeployForm.confirmPasswordForRoot.$error.required"><cv:msg key="error.confirmPasswordForRoot" bundle="frel" /></span>
								<span class="help-block" data-ng-show="!frelDeployForm.confirmPasswordForRoot.$error.required && frelDeployForm.confirmPasswordForRoot.$error.cvEquals">
									<cv:msg key="error.mismatchedPassword" bundle="users" />
								</span>
							</div>
						</div>
						<div id="divGroupName">
							<label for="groupName" class="col-md-3">
							<cv:msg key="label.groupName" bundle="frel" />
							<span class="optional-text"><cv:msg key="label.optional" bundle="restore" /></span>
							</label>
							<div class="col-md-9">
								<isteven-multi-select
									id="groupName"
									data-input-model="model.serverGroupsList"
									data-output-model="model.selectedServerGroups"
									data-tick-property="checked"
									data-item-label="displayName"
									class="isteven-multi-select user-group-select"
									data-button-label="displayName"
									data-selection-mode="single"
									helper-elements="none filter"
									on-item-click="selectSingleGroup(data)"
									directive-id="groupName">
								</isteven-multi-select>
							</div>
						</div>
						<div id="divAutoOSUpdates"  class="form-group padding-left-15">
							<label for="autoOSUpdates" class="col-md-3">
							<cv:msg key="label.autoOSUpdate" bundle="frel" />
							</label>
							<div class="col-md-9">
								<toggle-control
									id="autoOSUpdates"
									name="autoOSUpdates"
									status="model.autoOSUpdates"
									title="<cv:msg key="label.autoOSUpdate" bundle="frel"/>"
									data-ng-click="toggleAutoOSUpdates()">
								</toggle-control>
							</div>
						</div>
					</div>
				</cv-plain-accordion>
				<!--	client Configuration - END -->

				<!--	IP Configuration - START -->
				<cv-plain-accordion
				accordion-label='label.ipConfiguration'
				collapsed="true"
				class="accordion-bg-color"
				>
					<div class="form-group padding-left-15">
						<div id="divDHCP" class="form-group padding-left-15">
							<label for="useDHCP" class="col-md-3">
							<cv:msg key="label.useDHCP" bundle="frel" />
							</label>
							<div class="col-md-9">
								<toggle-control
									id="useDHCP"
									name="useDHCP"
									status="model.useDHCP"
									title="<cv:msg key="label.useDHCP" bundle="frel"/>"
									data-ng-click="toggleDHCP()">
								</toggle-control>
							</div>
						</div>
						<div id="divDoNotShowForDHCP"  data-ng-if="model.useDHCP==model.toggleControlStatus.disabled">

							<div id="divStaticIP"  >
								<label for="staticIP" class="col-md-3">
								<cv:msg key="label.staticIP" bundle="frel" />
								</label>
								<div class="col-md-9">
								<input type="text" class="ip-text-input" name="staticIP" id="staticIP" placeholder="___.___.___.___" data-ng-pattern="model.ipPattern"
								data-ng-model="model.staticIP" data-ng-required="model.useDHCP==model.toggleControlStatus.disabled"/>
									<div class="help-block" data-ng-show="frelDeployForm.staticIP.$dirty && frelDeployForm.staticIP.$error.pattern"><cv:msg key="error.ipAddressSettings.ipAddress" bundle="restore"/></div>
									<div class="help-block" data-ng-show="frelDeployForm.staticIP.$dirty && frelDeployForm.staticIP.$error.required"><cv:msg key="error.staticIP" bundle="frel"/></div>
								</div>
							</div>
							<div id="divNetmask">
								<label for="netmask" class="col-md-3">
								<cv:msg key="label.netmask" bundle="frel" />
								</label>
								<div class="col-md-9">
								<input type="text" class="ip-text-input" name="netmask" id="netmask" placeholder="___.___.___.___" data-ng-pattern="model.netmaskPattern"
								data-ng-model="model.netmask" data-ng-required="model.useDHCP==model.toggleControlStatus.disabled"/>
									<div class="help-block" data-ng-show="frelDeployForm.netmask.$dirty && frelDeployForm.netmask.$error.pattern"><cv:msg key="error.ipAddressSettings.netmask" bundle="frel"/></div>
									<div class="help-block" data-ng-show="frelDeployForm.netmask.$dirty && frelDeployForm.netmask.$error.required"><cv:msg key="error.netmask" bundle="frel"/></div>
								</div>
							</div>
							<div id="divGateway">
								<label for="gateway" class="col-md-3">
								<cv:msg key="label.gateway" bundle="frel" />
								</label>
								<div class="col-md-9">
								<input type="text" class="ip-text-input" name="gateway" id="gateway" placeholder="___.___.___.___" data-ng-pattern="model.ipPattern"
								data-ng-model="model.gateway" data-ng-required="model.useDHCP==model.toggleControlStatus.disabled"/>
									<div class="help-block" data-ng-show="frelDeployForm.gateway.$dirty && frelDeployForm.gateway.$error.pattern"><cv:msg key="error.ipAddressSettings.ipAddress" bundle="restore"/></div>
									<div class="help-block" data-ng-show="frelDeployForm.gateway.$dirty && frelDeployForm.gateway.$error.required"><cv:msg key="error.gateway" bundle="frel"/></div>
								</div>
							</div>

							<div id="divDNSSearch">
								<label for="dnsSearch" class="col-md-3">
								<cv:msg key="label.dnsSearch" bundle="frel" />
								<span class="optional-text"><cv:msg key="label.optional" bundle="restore" /></span>
								</label>
								<div class="col-md-9">
									<input type="text" name="dnsSearch" data-ng-model="model.dnsSearch" id="dnsSearch" name="dnsSearch"  maxlength="100"
									placeholder="<cv:msg key="label.dnsSearch" bundle="frel" />" />
									<!--
									<span class="help-block" data-ng-show="frelDeployForm.dnsSearch.$dirty && frelDeployForm.dnsSearch.$error.required"><cv:msg key="error.dnsSearch" bundle="frel" /></span>
									 -->
								</div>
							</div>
							<div id="divNameServer1">
								<label for="nameServer1" class="col-md-3">
								<cv-help-text help-label="label.nameServer1" help-text="label.nameServerWarning" bundle="frel"></cv-help-text>
								<span class="optional-text"><cv:msg key="label.optional" bundle="restore" /></span>
								</label>
								<div class="col-md-9">
								<input type="text" class="ip-text-input" name="nameServer1" id="nameServer1" placeholder="___.___.___.___" data-ng-pattern="model.ipPattern"
								data-ng-model="model.nameServer1" />
									<div class="help-block" data-ng-show="frelDeployForm.nameServer1.$dirty && frelDeployForm.nameServer1.$error.pattern"><cv:msg key="error.ipAddressSettings.ipAddress" bundle="restore"/></div>
									<!--
									<div class="help-block" data-ng-show="frelDeployForm.nameServer1.$dirty && frelDeployForm.nameServer1.$error.required"><cv:msg key="error.nameServer1" bundle="frel"/></div>
									 -->
								</div>
							</div>
							<div id="divNameServer2">
								<label for="nameServer2" class="col-md-3">
								<cv-help-text help-label="label.nameServer2" help-text="label.nameServerWarning" bundle="frel"></cv-help-text>
								<span class="optional-text"><cv:msg key="label.optional" bundle="restore" /></span>
								</label>
								<div class="col-md-9">
								<input type="text" class="ip-text-input" name="nameServer2" id="nameServer2" placeholder="___.___.___.___" data-ng-pattern="model.ipPattern"
								data-ng-model="model.nameServer2" />
									<div class="help-block" data-ng-show="frelDeployForm.nameServer2.$dirty && frelDeployForm.nameServer2.$error.pattern"><cv:msg key="error.ipAddressSettings.ipAddress" bundle="restore"/></div>
									<!--
									<div class="help-block" data-ng-show="frelDeployForm.nameServer2.$dirty && frelDeployForm.nameServer2.$error.required"><cv:msg key="error.nameServer2" bundle="frel"/></div>
									 -->
								</div>
							</div>

						</div>
					</div>
				</cv-plain-accordion>
				<!--	IP Configuration - END -->

				<!--	firewall Configuration - START -->
				<cv-plain-accordion
				accordion-label='label.commServeroute'
				collapsed="true"
				class="accordion-bg-color"
				>
					<div class="form-group padding-left-15">

						<div id="divCommServe">
							<label for="commServe" class="col-md-3">
							<cv-help-text help-label="label.commServe" help-text="label.portFormat" bundle="frel"></cv-help-text>
							</label>
							<div class="col-md-9">
								<input type="text" name="commServe" data-ng-model="model.commServe" id="commServe" name="commServe"  maxlength="100" required
								placeholder="<cv:msg key="label.commServe" bundle="frel" />" />

								<span class="help-block" data-ng-show="frelDeployForm.commServe.$dirty && frelDeployForm.commServe.$error.required">
								<cv:msg key="error.commServe" bundle="frel" /></span>
							</div>
						</div>
					</div>
				</cv-plain-accordion>
				<!--	firewall Configuration - END -->

			</uib-accordion>
		</div>
		<!--	all accordians - END -->


	</div>
	<!--	All controls - END -->

	<!--	Buttons - START -->
	<div  class="cv-wizard-default-actions row"  id="divButtons">
    	<div class="col-xs-12 no-padding ">
    		<div class="col-xs-3 col-md-2">
            	<cv-wizard-button data-cv-type="cancel">
            	</cv-wizard-button>
        	</div>
        	<div class="col-xs-3 col-xs-offset-3 col-md-offset-6 col-md-2 ">
            	<cv-wizard-button data-cv-type="previous">
            	</cv-wizard-button>
        	</div>
        	<div class="col-xs-3 col-md-2">
            	<cv-wizard-button data-cv-type="next"
            	data-cv-disabled="(
	            	frelDeployForm.clientName.$error.required ||
	            	frelDeployForm.clientName.$error.pattern ||
	            	frelDeployForm.hostName.$error.required ||
	            	frelDeployForm.hostName.$error.pattern ||
	            	frelDeployForm.passwordForRoot.$error.required ||
	            	frelDeployForm.confirmPasswordForRoot.$error.required ||
	            	frelDeployForm.confirmPasswordForRoot.$error.cvEquals ||
	            	frelDeployForm.commServe.$error.required
            	) ||
            	(
	            	model.useDHCP==model.toggleControlStatus.disabled &&
		            	(
		            	frelDeployForm.staticIP.$error.required || frelDeployForm.staticIP.$error.pattern ||
		            	frelDeployForm.netmask.$error.required || frelDeployForm.netmask.$error.pattern ||
		            	frelDeployForm.gateway.$error.required || frelDeployForm.gateway.$error.pattern
		            	)
            	)">
            	</cv-wizard-button>
        	</div>
    	</div>
	</div>
	<!--	Buttons - END -->

</div>
