<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.collections"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.frel"></cv:cvMessages>
</script>


<div class="bootstrap-wrapper no-padding form-horizontal" id="divFrelStepThree">

	<!--	server Message - START -->
	<div class="form-group" data-ng-if="localDataObject.serverMessage.message" id="divServerMessage">
		<div class="col-xs-12">
			<span class="{{localDataObject.serverMessage.type}}" data-ng-bind-html="localDataObject.serverMessage.message"></span>
		</div>
	</div>
	<!--	server Message - END -->


	<!--	All controls - START -->
	<div id="divAllControls">

			<!--	Destination Network - START -->
			<div class="form-group" id="divDestinationNetwork">
				<label for="destinationNetwork" class="col-md-3">
				<cv:msg key="label.destinationnNetwork" bundle="frel" />
				</label>
				<div class="col-md-9">
					<isteven-multi-select
						id="destinationNetwork"
						data-input-model="localDataObject.destinationNetwork"
						data-output-model="model.selectedDestinationNetwork"
						data-tick-property="checked"
						data-item-label="networkName"
						class="isteven-multi-select"
						data-button-label="networkName"
						data-helper-elements="filter"
						data-selection-mode="single"
						required
						directive-id="destinationNetwork">
					</isteven-multi-select>
					<!--
					<span class="help-block" data-ng-show="frelDeployForm.destinationNetwork.$dirty && frelDeployForm.destinationNetwork.$error.required"><cv:msg key="error.destinationnNetwork" bundle="frel" /></span>
				 	-->
				</div>
			</div>
			<!--	Destination Network - END -->

			<!--	Disk Format - START -->
			<div class="form-group" id="divDiskFormat">
				<label for="diskFormat" class="col-md-3">
				<cv:msg key="label.selectDiskFormat" bundle="frel" />
				</label>
				<div class="col-md-9">
					<isteven-multi-select
						id="diskFormat"
						data-input-model="localDataObject.diskFormats"
						data-output-model="model.selectedDiskFormat"
						data-tick-property="checked"
						data-item-label="description"
						class="isteven-multi-select"
						data-button-label="description"
						data-helper-elements="filter"
						data-selection-mode="single"
						directive-id="diskFormat">
					</isteven-multi-select>
					<!--
					<span class="help-block" data-ng-show="frelDeployForm.selectedDiskFormat.$dirty && frelDeployForm.selectedDiskFormat.$error.required"><cv:msg key="label.selectDiskFormat" bundle="frel" /></span>
					-->
				</div>
			</div>
			<!--	Disk Format - END -->

			<!-- GRID : START -->
			<div class="form-group" >
				<div class="col-xs-12">
					<cv:msg key="label.selectStorageForConfiguration" bundle="frel" />
				</div>
			</div>
			<div class="form-group" data-ng-if="localDataObject.showValidationMessage && !model.selectedDataStore">
				<div class="col-xs-12">
					<span class="help-block" >
					<cv:msg key="error.selectStorageForConfiguration" bundle="frel" />
					</span>
				</div>
			</div>
			<div class="scrolling-div-300"  id="divDataStoresGrid" >
				<div class="text-center"
					data-ng-show="!model.isStepThreeLoaded">
					<img src="${pageContext.request.contextPath}/common/img/ajax-loader.gif">
				</div>
				<div data-ng-show="model.isStepThreeLoaded">
					<cv-kendo-grid id="gridDataStores" cv-grid-options="localDataObject.gridOptions"></cv-kendo-grid>
				</div>
			</div>
			<!-- GRID : END -->


	</div>
	<!--	All controls - END -->

	<!--	Buttons - START -->
	<div  class="cv-wizard-default-actions row"  id="divButtons">
    	<div class="col-xs-12 no-padding ">
    		<div class="col-xs-3 col-md-2">
            	<cv-wizard-button data-cv-type="cancel">
            	</cv-wizard-button>
        	</div>
        	<div class="col-xs-3 col-xs-offset-3 col-md-offset-6 col-md-2 ">
            	<cv-wizard-button data-cv-type="previous">
            	</cv-wizard-button>
        	</div>
        	<div class="col-xs-3 col-md-2">
            	<cv-wizard-button data-cv-type="next"
            	data-cv-disabled="!model.selectedDestinationNetwork ||
            	model.selectedDestinationNetwork.length == 0 ||
            	!model.selectedDiskFormat ||
            	!model.selectedDataStore"
            	>
            	</cv-wizard-button>
        	</div>
    	</div>
	</div>
	<!--	Buttons - END -->

</div>
