		<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.servers"></cv:cvMessages>
	<cv:cvMessages bundle="localization.restoreJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.restore"></cv:cvMessages>
</script>
<div data-ng-disabled="!nsCtrl.selectedAvailabilityZone ||  (nsCtrl.selectedAvailabilityZone && nsCtrl.selectedAvailabilityZone == null)">
							<div  class="form-group">
											<label class="col-xs-12 col-md-5 col-lg-5" for="networkSettings">
												<cv-help-text help-placement="right" help-label="<cv:msg key="label.networkSettings" bundle="restore" />" 
													help-text="'<cv:msg key='info.securityGroup' bundle='restore'/>'"></cv-help-text>
											</label>
											<div class="col-xs-12 col-md-7 col-lg-7 input-group">
													<div class="input-group">
															<input type="text" readonly name="networkSettings" id="networkSettings" data-ng-model="nsCtrl.selectedNetworkSettings.additionalInfo.displayName" required />
															<!-- don't let the user browse through for zones, use only the one populated by default -->
															<span class="input-group-btn">
																<button id="networkSetting_button_#1454" type="button" data-ng-click="nsCtrl.openNetworkSettingsDialog()" 
																			class="btn btn-default" ><cv:msg key="label.browse" bundle="restore"></cv:msg>
																</button>
															</span>
													</div>
													<span class="help-block" data-ng-show="submitController.getAttempted() && submitController.needsAttention(formController.networkSettings)">
														<cv:msg key="error.networkSettings" bundle="restore"></cv:msg>
													</span>
											</div>
								</div>
							<!--Security Groups -->
							<!-- Security groups are based on network settings so show these once network setting is set -->
							<div data-ng-disabled="!nsCtrl.selectedNetworkSettings || (nsCtrl.selectedNetworkSettings && nsCtrl.selectedNetworkSettings == null)">
										<!-- In edit mode, if network setting is not edited yet, groups are displayed as labels instead of iSteven control.
										This is so because we dont hvae entire security groups list available to show multi select drop down.
										If network setting is changed, iSteven control will load -->
										<!--<div class="form-group" data-ng-show="nsCtrl.displaySecurityGroupsAsLabels && nsCtrl.selectedSecurityGroups && nsCtrl.selectedSecurityGroups.length > 0">
											<label class="col-xs-12 col-md-5 col-lg-5" for="securityGroups"><cv:msg key="label.securityGroupsLabel" bundle="restore"/></label>
											<div class="col-xs-12 col-md-7 col-lg-7">
												
												<ul><li data-ng-repeat="sGroup in nsCtrl.selectedSecurityGroups">{{sGroup.name}}</li>
												<li data-ng-repeat="sGroup in nsCtrl.selectedSecurityGroups" data-ng-if="!sGroup.name"><cv:msg key="label.auto" bundle="messagesJs"/></li></ul>
											</div>
										</div>
										-->
										<!-- SEcurity groups can be defined for new network interface only. For existing networks, security groups are defined and cannot be overridden -->
										<div class="form-group" data-ng-disabled="nsCtrl.selectedNetworkSettings.networkName !== 'New Network Interface' || (!nsCtrl.securityGroupsSelectList || nsCtrl.securityGroupsSelectList.length == 0)">
											<div class="col-xs-12">
												<div class="padding-top-10">
													<toggle-control status="nsCtrl.autoSelectSecurityGroup" data-ng-click="nsCtrl.manageAutoSelectSecurityGroup()" 
														title="<cv:msg key='label.autoSelectSecurityGroup' bundle='restore'/>"></toggle-control>&nbsp;
														<label><cv:msg key='label.autoSelectSecurityGroup' bundle='restore'/></label>
												</div>
											</div>
											
										</div>
										<div class="form-group" data-ng-show="!nsCtrl.autoSecurityGroupChecked && nsCtrl.securityGroupsSelectList && nsCtrl.securityGroupsSelectList.length > 0">
											<label class="col-xs-12 col-md-5 col-lg-5" for="securityGroups"><cv:msg key="label.securityGroupsLabel" bundle="restore"/></label>
											<div class="col-xs-12 col-md-7 col-lg-7">
														<isteven-multi-select
										   				  input-model="nsCtrl.securityGroupsSelectList"
										   				  output-model="nsCtrl.selectedSecurityGroups"
										  				  data-button-label="name"
										  				  item-label="name"
										   				  tick-property="ticked"
										   				  class="isteven-multi-select user-group-select"
										   				  id="securityGroups"
										   				  name="securityGroups"
										   				  data-helper-elements="all none reset filter"
										   				  max-labels="1"
										   				  translation="nsCtrl.localLang"
										   				  on-item-click="funcClick()"
										   				  on-select-none="funcClick()"
										   				  on-select-all="funcClick()"
										   				  on-reset="funcClick()"
										   				  >
														</isteven-multi-select>
														<span class="help-block" data-ng-show="submitController.getAttempted()  && (!nsCtrl.selectedSecurityGroups || nsCtrl.selectedSecurityGroups === null || nsCtrl.selectedSecurityGroups.length === 0)">
															<cv:msg key="error.securityGroups" bundle="restore"></cv:msg>
														</span>
											</div>
										</div>
							</div>
</div>