<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
    <cv:cvMessages bundle="localization.restore"></cv:cvMessages>
    <cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
    <cv:cvMessages bundle="localization.collectionsJs"></cv:cvMessages>
    <cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
</script>
<fmt:bundle basename="localization.restore">
		<!-- <div class="setup-title">
			<h1>
				<fmt:message key="label.restoreOpts" />
			</h1>
		</div> -->
		<!-- showVM will be true when we get destination servers..If users doesn't have access to servers then we will only allow user to choose Vm name and do retsore -->
 		<div class="setup-content padding-top-0" data-ng-if="!showVM && !targetsExist">
			<span class="{{serverMessage.type}} serverMessage">{{serverMessage.message}}</span>
			<form name="vmFullRestoreForm" novalidate
				 data-cv-submit="restoreVms()"
				autocomplete="off">
				<label for="displayName" class="data-store-label"> <!-- !!! STYLE -->
					<cv:msg key="label.changeVmDisplayName" bundle="restore" /> <input
					type="text" name="displayName"
					data-ng-model="restoreData.vmOptions.displayName"
					data-ng-required="true"/> <span class="help-block"
					data-ng-show="vmFullRestoreForm.displayName.$error && cv.vmFullRestoreForm.needsAttention(vmFullRestoreForm.displayName)">
						<fmt:message key="error.displayName" />
				</span>
				</label>  <!--  <input name="ownVcenterSelected" id="ownVcenterSelected"
					type="checkbox" data-ng-model="ownVcenter.select"
					data-ng-change="vCenterChanged()"> <label
					for="ownVcenterSelected" class="overwriteLabel"><cv:msg
						key="label.selectOwnVcenter" bundle="restore" /></label>  -->
				<div class="button-container">
					<fmt:bundle basename="localization.messages">
						<button id="vmFullRestoreVMWare_button_#5327" type="button" class="btn btn-default setup-btn--hidden"
							data-ng-click="cancel()">
							<fmt:message key="Cancel" />
						</button>
						<button id="vmFullRestoreVMWare_button_#2320" type="submit" class="btn btn-primary">
							<fmt:message key="Submit" />
						</button>
					</fmt:bundle>
				</div>
			</form>
			<label data-ng-click="restoreData.globalOptions.powerOn = !restoreData.globalOptions.powerOn" >
						<toggle-control  id="vmFullRestoreVmware_toggle_powerOn_endUser" status="restoreData.globalOptions.powerOn ? 'enabled-activity' : 'disabled-activity'">
						</toggle-control><span>{{powerOnLabel}}</span>
					</label>
					<label data-ng-click="restoreData.globalOptions.overwrite = !restoreData.globalOptions.overwrite; overwriteOptionChanged()"  >
						<toggle-control  id="vmFullRestoreVmware_toggle_overwrite_endUser" status="restoreData.globalOptions.overwrite ? 'enabled-activity' : 'disabled-activity'">
						</toggle-control><span><cv:msg key="warning.overwrite" bundle="restore" /></span>
					</label>
		</div>

		<div class="setup-content padding-top-0" >
			<span class="{{serverMessageTop.type}} serverMessage">{{serverMessageTop.message}}</span>
			<div class="global-options" data-ng-if="showVM || (!showVM && targetsExist)">
					<!-- <div class="margin-10" data-ng-if="showDisksNote === true">
						<cv-please-note  header='<cv:msg key="action.note" bundle="restoreJs" />' body='<cv:msg key="note.disksIgnored" bundle="restore" />'></cv-please-note>
					</div> -->
					<div data-ng-if="(servers || sourceServer) && isOutOfPlaceRestore" class="setup-input-group text-left">
						<label data-ng-if="!isEndUser || (isEndUser && isOutOfPlaceRestore)" class="schedule-repeat-label inline-label"><fmt:message key="label.fsServer" /></label>
							 <div class="company-multi-select" data-ng-if="restoreOpt.restoreTypeSelector === 'inPlace'">
								<p class="ellipsis-parent ellipsis-content" data-ng-if="!isEndUser" title="{{selectedServer}}">{{selectedServer}}</p>
							</div>
 							<div class="company-multi-select" data-ng-if="isOutOfPlaceRestore">
									<isteven-multi-select id="vmFullRestoreVMWare_isteven-multi-select_#0614"
											input-model="servers"
											output-model="selectedServer"
											button-label="name"
											item-label="name"
											tick-property="selected"
											selection-mode="single"
											directive-id="destinationServer"
											class="isteven-multi-select user-group-select single-select"
											helper-elements="filter"
											search-limit="10"
											max-labels="1"
											translation="localLang"
											on-item-click="destinationServerChanged(selectedServer[0])"
											group-property="msGroup">
									</isteven-multi-select>
							</div>
					</div>
					<p data-ng-if="showVM"></p>
					<div data-ng-if="showProxy && showVM" class="setup-input-group text-left">
						<label class="schedule-repeat-label inline-label">
							<span data-ng-if="!selectedProxy[0].autoProxy">
								<cv:msg key="label.proxy" bundle="restore"></cv:msg>
							</span>
							<span data-ng-if="selectedProxy[0].autoProxy">
								<cv-help-text help-text="label.proxy.auto.help" help-label="label.proxy"></cv-help-text>
							</span>
						</label>
							<div class="company-multi-select">
									<isteven-multi-select id="vmFullRestoreVMWare_isteven-multi-select_#8259"
											input-model="restoreData.globalOptions.proxyList"
											output-model="selectedProxy"
											button-label="clientName"
											item-label="clientName"
											tick-property="selected"
											directive-id="proxy"
											selection-mode="single"
											class="isteven-multi-select user-group-select single-select"
											helper-elements="filter"
											search-limit="10"
											max-labels="1"
											translation="localLang"
											prevent-sort="true"
											on-item-click="changeProxy(selectedProxy[0])">
									</isteven-multi-select>
							</div>
					</div>
					<!-- 		<input name="inPlace" id="inPlace" type="checkbox"  data-ng-model="restoreData.globalOptions.inPlace">
				<label for="inPlace" class="overwriteLabel"><fmt:message key="label.inPlace" /></label><!-- !!! Style -->
					<!-- vcloud options goes here -->
					<div data-ng-if="isVCloud && !ownVcenter.select && !targetSelected && showVM" >
						<input name="vCloud" id="vCloud" type="checkbox"
							data-ng-model="restoreData.globalOptions.vCloud"
							data-ng-change="resetVCloudData()"
							data-ng-disabled="ownVcenter.select"> <label for="vCloud"
							class="overwriteLabel"><cv:msg key="label.vCloud.restore"
								bundle="restore" /></label>
						<div data-ng-if="restoreData.globalOptions.vCloud" >
						<input name="vCloudOptions"
							id="vCloudOptions" type="checkbox"
							data-ng-model="restoreData.globalOptions.vCloudOptions"><label
							for="vCloudOptions" class="overwriteLabel"><cv:msg
								key="label.vCloud.options" bundle="restore" /></label>
							<input name="restoreVApp" id="restoreVApp" type="checkbox"
						data-ng-model="restoreData.globalOptions.restoreVApp">
						<label for="restoreVApp" class="overwriteLabel"><cv:msg
							key="label.restoreVApp" bundle="restore" /></label>
						</div>
					</div>
			</div>
			<div class="local-options" data-ng-if="showVM || (!showVM && targetsExist)">
				<div class="error"
					data-ng-show="cv.vmFullRestoreForm.getAttempted() && showSomeVmsInvalidWarning()">
					<fmt:message key="error.allVmOptions" />
				</div>
				<div class="{{isRestoreInPlace() ? 'in-place-restore' : ''}}">
					<ul class="vm-full-restore-list">
						<li data-ng-show="multipleVmsSelected()"><a class="btn"
							data-ng-click="showVM ? displayAllVmOptions() : ''"
							data-ng-class="{'selected-value': restoreData.isAll()}"><fmt:message
									key="label.allvms" /></a></li>
						<li data-ng-repeat="vmOptions in restoreData.vmOptionsList">
							<a class="btn" data-ng-click="displayVmOptions(vmOptions)" title="{{vmOptions.browseData.displayName}}"
							data-ng-class="{'selected-value': restoreData.vmOptions == vmOptions}">{{vmOptions.browseData.displayName}}</a>
							<span class="error"
							data-ng-show="cv.vmFullRestoreForm.getAttempted() && !isVmOptionValid(vmOptions)">*</span>
						</li>
					</ul>
				</div>
				<form name="vmFullRestoreForm" novalidate
					class='vm-full-restore-form form-horizontal bootstrap-wrapper padding-bottom-0' data-cv-submit="restoreVms()"
					autocomplete="off">
					<div class="{{isRestoreInPlace() ? 'in-place-restore' : ''}}">
						<div id="perVmOptions" data-ng-if="showVM || (!showVM && targetsExist)"  class="mainFormContent hyperv-restore-form-content">
						<div class="{{serverMessage.type}}"
							data-ng-bind="serverMessage.message"></div>
							<div class="form-group" data-ng-if="!restoreData.isAll() && (showVM || (!showVM && targetsExist))">
							<div class="col-xs-12">
							<label for="displayName" class="data-store-label">
							<cv:msg	key="label.changeVmDisplayName" bundle="restore" />
							<input type="text"
								name="displayName"
								data-ng-model="restoreData.vmOptions.displayName"
								data-ng-required="!restoreData.isAll() && isOutOfPlaceRestore" data-ng-disabled="!isOutOfPlaceRestore"/>
								<span class="help-block"
								data-ng-show="isOutOfPlaceRestore && vmFullRestoreForm.displayName.$error && cv.vmFullRestoreForm.needsAttention(vmFullRestoreForm.displayName)">
									<fmt:message key="error.displayName" />
							</span>
							</label>
							</div>
							</div>
							<!-- prefix/suffix for vm display names on the all vms tab -->
							<div class="form-group col-xs-12" data-ng-show="restoreData.isAll() && showVM">
							<input name="enablePrefixSuffix" id="enablePrefixSuffix" type="checkbox"
								data-ng-model="restoreData.globalOptions.enablePrefixSuffix" data-ng-change="prefixSuffixSelectorChanged()">
								<label for="enablePrefixSuffix" class="label-only restore-options-label"><cv:msg key="label.dispayNamePrefixSuffixTitle" bundle="restore"/></label>
								<label class="label-only restore-options-label">
									<input id="displayNamePrefix" type="radio" name="displayNamePrefixSuffix" value="prefix" data-ng-model="restoreData.prefixSuffixSelector"
										data-ng-disabled="!restoreData.globalOptions.enablePrefixSuffix" data-ng-change="prefixSuffixNameChanged()"/><span class="restore-settings-right-padding"><cv:msg key="label.prefix" bundle="restore"/></span>
									<input id="displayNameSuffix" type="radio" name="displayNamePrefixSuffix" value="suffix" data-ng-model="restoreData.prefixSuffixSelector"
										data-ng-disabled="!restoreData.globalOptions.enablePrefixSuffix" data-ng-change="prefixSuffixNameChanged()"/><span class="restore-settings-right-padding"><cv:msg key="label.suffix" bundle="restore"/></span>
									<input type="text" name="displayNamePrefixSuffix" placeholder="<cv:msg key="placeholder.prefixSuffixDisplayName" bundle="restore"/>" data-ng-model="restoreData.displayNamePrefixSuffix"
										data-ng-disabled="!restoreData.globalOptions.enablePrefixSuffix" data-ng-blur="prefixSuffixNameChanged()"/>
								</label>
							</div>
							<div class="form-group" data-ng-if="isOutOfPlaceRestore && !targetSelected && showVM">
							<div class="col-xs-12">
							<div class="input-group">
							<label for="destinationHost" class="destination-vm">
							<fmt:message key="label.destinationHost" />
							<input type="text" readonly name="destinationHost" id="destinationHost"
								value="{{restoreData.getCurrentHostDisplayName()}}"
								data-ng-required="true && !restoreData.isAll()" />
								<span class="help-block"
								data-ng-show="!restoreData.isAll() && restoreData.vmOptions.destinationHost === null && cv.vmFullRestoreForm.getAttempted()">
									<fmt:message key="error.destinationServer" />
							</span>
							</label>
							<span class="input-group-btn">
							<button id="vmFullRestoreVMWare_button_#5891" type="button"
								data-ng-click="openSelectDestinationHostDialog(restoreData.subClientEntity)"
								class="btn btn-default browse-btn" >
								<fmt:message key="label.browse" />
							</button>
							</span>
							</div>
							</div>
							</div>
							<div class="form-group" data-ng-if="isOutOfPlaceRestore && !targetSelected && showVM">
							<label class="col-xs-12" for="data-store"><fmt:message key="label.dataStore"/></label>
							<div class="col-xs-12">
									<div data-ng-disabled="!isDataStoreListAvailable()">
											<isteven-multi-select id="vmFullRestoreVMWare_isteven-multi-select_#9782"
													input-model="restoreData.vmOptions.dataStoreList"
													output-model="selectedDataStore"
													button-label="label"
													item-label="label"
													tick-property="selected"
													directive-id="dataStore"
													selection-mode="single"
													class="isteven-multi-select user-group-select single-select"
													helper-elements="filter"
													search-limit="10"
													max-labels="1"
													translation="localLang"
													on-item-click="dataStoreChanged(selectedDataStore[0])">
											</isteven-multi-select>
									</div>
									<span class="help-block" data-ng-show="!restoreData.isAll() && vmFullRestoreForm.dataStore.$error && cv.vmFullRestoreForm.needsAttention(vmFullRestoreForm.dataStore) && isDataStoreListAvailable()">
										<fmt:message key="error.dataStore" />
								</span>
							</div>
							</div>
							<div class="form-group" data-ng-if="osSelectionEnabled && !targetSelected && showVM && showOrHideOS()">
								<div class="col-xs-12">
									<label for="os-selection"	class="os-selection-label">
										<cv:msg key="label.osType" bundle="restore"/>
										<select	id="os-selection" name="osType"
												   data-ng-required="true && !restoreData.isAll()"
												   data-ng-model="restoreData.vmOptions.osTypeSelected"
												   data-ng-disabled="OSList.length === 0 || restoreData.isAll()"
												   data-ng-options="os.name for os in OSList track by os.name"
												   data-ng-change="operatingSystemChanged(restoreData.vmOptions.osTypeSelected)">
											<option value=''>{{getOSTypeSelectedValue()}}</option>
										</select>
										<span class="help-block" data-ng-show="!restoreData.isAll() && vmFullRestoreForm.osType.$error && cv.vmFullRestoreForm.needsAttention(vmFullRestoreForm.osType) && OSList.length > 0">
									<cv:msg key="error.osType" bundle="restore"/>
							</span>
									</label>
								</div>
							</div>
							<!-- show server does not have vcloud info or vm does not have vcloud info or show for ALLVM if even one of them is non vcloud,
							 checking orgvdcname as orgName can be empty while editing it, this will make it appear -->
							<div data-ng-if="isOutOfPlaceRestore && (!restoreData.globalOptions.vCloud || (restoreData.isAll() && isNonVCloud)) && showVM">
							<div class="form-group" data-ng-if="!targetSelected">
							<!-- <div class="col-xs-12">
								<label for="resource-pool" class="data-store-label">
									<fmt:message key="label.resourcePool" />
									<select id="resource-pool" name="resourcePool"
									data-ng-required="true && !restoreData.isAll()"
									data-ng-model="restoreData.vmOptions.resourcePool"
									data-ng-disabled="!isResourcePoolListAvailable()"
									data-ng-options="rp as rp.resourcePoolPath for rp in restoreData.vmOptions.resourcePoolList track by rp.resourcePoolPath"
									data-ng-change="resourcePoolChanged()">
										<option value=''>{{getResourcePoolDropdownText()}}</option>
									</select>
									<span class="help-block" data-ng-show="!restoreData.isAll() && vmFullRestoreForm.resourcePool.$error && cv.vmFullRestoreForm.needsAttention(vmFullRestoreForm.resourcePool) && isResourcePoolListAvailable()">
										<fmt:message key="error.resourcePool" />
								</span>
								</label>
							</div> -->
							<label class="col-xs-12" for="resource-pool"><fmt:message key="label.resourcePool"/></label>
							<div class="col-xs-12">
									<div data-ng-disabled="!isResourcePoolListAvailable()">
											<isteven-multi-select id="vmFullRestoreVMWare_isteven-multi-select_#2149"
													input-model="restoreData.vmOptions.resourcePoolList"
													output-model="selectedResourcePool"
													button-label="resourcePoolPath"
													item-label="resourcePoolPath"
													tick-property="selected"
													directive-id="resourcePool"
													selection-mode="single"
													class="isteven-multi-select user-group-select single-select"
													helper-elements="filter"
													search-limit="10"
													max-labels="1"
													translation="localLang"
													on-item-click="resourcePoolChanged(selectedResourcePool[0])">
											</isteven-multi-select>
									</div>
									<span class="help-block" data-ng-show="!restoreData.isAll() && vmFullRestoreForm.resourcePool.$error && cv.vmFullRestoreForm.needsAttention(vmFullRestoreForm.resourcePool) && isResourcePoolListAvailable()">
										<fmt:message key="error.resourcePool" />
									</span>
							</div>
							</div>
							</div>
							<!-- vm folder don't show id restore to v cloud is selected-->
							<div class="form-group" data-ng-if="!restoreData.globalOptions.vCloud && isOutOfPlaceRestore && !targetSelected && showVM">
								<div class="col-xs-12">
									<div class="input-group">
										<div class="adjust-margin-after-select">
										<label for="vmFolderPath" class="destination-vm">
										<cv:msg key="label.vmFolderPath" bundle="restore"/>
											<input type="text" readonly name="vmFolderPath" id="vmFolderPath"
												value="{{restoreData.getCurrentVmFolderPathName()}}"
												data-ng-required="false" /><!-- may not be a required value -->
												<!--<span class="help-block"
												data-ng-show="!restoreData.isAll() && restoreData.vmOptions.vmFolderPath === null && cv.vmFullRestoreForm.getAttempted()">
													<cv:msg key="error.vmFolderPath" bundle="restore"/>
											</span>-->
										</label>
										</div>
										<span class="input-group-btn" data-ng-attr-title="{{getTooltipForSettingsGrid()}}">
											<button id="vmFullRestoreVMWare_button_#6977" type="button"
												data-ng-click="openSelectVmFolderPathDialog(restoreData.subClientEntity)"
												data-ng-disabled="restoreData.vmOptions.destinationHost === null"
												class="btn btn-default browse-btn" >
												<cv:msg key="label.browse" bundle="restore"/>
											</button>
										</span>
									</div>
								</div>
							</div>
							<!-- Network and IP Settings -->
							<uib-accordion data-ng-if="!restoreData.globalOptions.vCloud && isOutOfPlaceRestore && !targetSelected && showVM" close-others="true" style="text-align: left" class="restore-network-settings">
								<div uib-accordion-group is-open="restoreData.vmOptions.settings.networkOpen">
									<uib-accordion-heading>
		        						<cv:msg key="label.networkSettingsVMWare" bundle="restore"/><i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': restoreData.vmOptions.settings.networkOpen, 'glyphicon-chevron-right': !restoreData.vmOptions.settings.networkOpen}"></i>
		      						</uib-accordion-heading>
									<div class="horizontal-button-container">
	 									<ul>
											<li class="horizontal-link-button" data-ng-attr-title="{{getTooltipForSettingsGrid()}}">
												<a href="" data-ng-click="openAddNetworkSettingsDialog()" data-ng-class="{true : 'disabled', false : ''}[restoreData.vmOptions.destinationHost === null]"><cv:msg key="label.add" bundle="restore" /></a>
											</li>
										</ul>
									</div>
		      						<!-- grid and add option -->
		      						<cv-grid data-ng-if="restoreData.vmOptions.settings.networkSettingsLoaded" cv-grid-options="networkSettingsGridOptions"></cv-grid>
								</div>
								<div uib-accordion-group is-open="restoreData.vmOptions.settings.ipAddressOpen" data-ng-if="::showIPInput">
									<uib-accordion-heading>
		        						<cv:msg key="label.addressSettings" bundle="restore"/><i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': restoreData.vmOptions.settings.ipAddressOpen, 'glyphicon-chevron-right': !restoreData.vmOptions.settings.ipAddressOpen}"></i>
		      						</uib-accordion-heading>
									<div class="horizontal-button-container">
	 									<ul>
											<li class="horizontal-link-button" data-ng-attr-title="{{getTooltipForSettingsGrid()}}">
												<a href="" data-ng-click="openAddIpAddressSettingsDialog()" data-ng-class="{true : 'disabled', false : ''}[restoreData.vmOptions.destinationHost === null]"><cv:msg key="label.add" bundle="restore" /></a>
											</li>
										</ul>
									</div>
		      						<!-- grid and add option -->
		      						<cv-grid data-ng-if="restoreData.vmOptions.settings.ipAddressSettingsLoaded" cv-grid-options="ipAddressSettingsGridOptions"></cv-grid>
								</div>
							</uib-accordion>
							<!-- ###################  configurations for vcloud  ################### -->
							<div data-ng-if="isOutOfPlaceRestore && isVCloud && restoreData.globalOptions.vCloud && !targetSelected"
								data-ng-show="restoreData.globalOptions.vCloudOptions && showVM">
								<label class="label-only restore-options-label"><fmt:message
										key="label.organization" /></label> <label for="organization"
									class="data-store-label"> <input type="text"
									name="organization"
									data-ng-disabled="isMSPAdmin"
									data-ng-model="restoreData.vmOptions.vcloudOrgName"
									data-ng-blur="organizationChanged()" required />
								</label> <label class="label-only restore-options-label"><fmt:message
										key="label.orgvDC" /></label> <label for="orgvDC"
									class="select-label data-store-label"> <select
									id="orgvDC" name="orgvDC" data-ng-required="true && !restoreData.isAll()"
									data-ng-model="restoreData.vmOptions.vcloudOrgVdcName"
									data-ng-options="vDC.name as vDC.name for vDC in restoreData.vmOptions.orgvDCList"
									data-ng-change="orgvDCChanged()">
										<option value=''><fmt:message
												key="placeholder.selectorgVdc" /></option>
								</select> <span class="help-block"
									data-ng-show="!restoreData.isAll() && vmFullRestoreForm.orgvDC.$error && cv.vmFullRestoreForm.needsAttention(vmFullRestoreForm.orgvDC)">
										<fmt:message key="error.orgvDC" />
								</span>
								</label> <label class="label-only restore-options-label"><fmt:message
										key="label.vAppName" /></label> <label for="vAppName"
									class="select-label data-store-label"> <select
									id="vAppName" name="vAppName" data-ng-required="true && !restoreData.isAll()"
									data-ng-model="restoreData.vmOptions.vcloudVappName"
									data-ng-options="vApp.name as vApp.name for vApp in restoreData.vmOptions.orgvDCList[restoreData.vmOptions.orgvDCindex].inventoryInfo"
									data-ng-change="vAppNameChanged()">
										<option value=''><fmt:message
												key="placeholder.selectvAppName" /></option>
								</select> <span class="help-block"
									data-ng-show="!restoreData.isAll() && vmFullRestoreForm.vAppName.$error && cv.vmFullRestoreForm.needsAttention(vmFullRestoreForm.vAppName)">
										<fmt:message key="error.vAppName" />
								</span>
								</label>
								 <label class="label-only restore-options-label"><fmt:message
										key="label.vAppOwner" /></label> <label for="vAppOwner"
									class="select-label data-store-label"> <select
									id="vAppOwner" name="vAppOwner" data-ng-required="true && !restoreData.isAll()"
									data-ng-model="restoreData.vmOptions.vcloudOwner"
									data-ng-options="vAppOwner.name as vAppOwner.name for vAppOwner in restoreData.vmOptions.vAppOwnerList"
									data-ng-change="vAppOwnerChanged()">
										<option value=''><fmt:message
												key="placeholder.selectvAppOwner" /></option>
								</select> <span class="help-block"
									data-ng-show="!restoreData.isAll() && vmFullRestoreForm.vAppOwner.$error && cv.vmFullRestoreForm.needsAttention(vmFullRestoreForm.vAppOwner)">
										<fmt:message key="error.vAppOwner" />
								</span>
								</label> <!-- <label
									data-ng-if="restoreData.vmOptions.vsMetaData.vcloudNicList.length > 0"
									class="label-only restore-options-label"><fmt:message
										key="label.vCloudNic" /></label> <label
									data-ng-repeat="vCloudNic in restoreData.vmOptions.vsMetaData.vcloudNicList"
									for="vCloudNic" class="select-label data-store-label">
									<select id="vCloudNic" name="vCloudNic">
										<option>{{vCloudNic}}</option>
								</select>
								</label>-->
								<label class="label-only restore-options-label"><cv:msg key="label.vCloudNic" bundle="restore"></cv:msg>
								</label>
								<label for="vCloudNic" class="select-label data-store-label">
									<select id="vCloudNic" name="vCloudNic" data-ng-required="true && !restoreData.isAll()"
									data-ng-model="restoreData.vmOptions.vcloudNics"
									data-ng-options="vCloudNic.name as vCloudNic.name for vCloudNic in restoreData.vmOptions.vCloudNicList"
									data-ng-change="vcloudNicsChanged()"
									data-ng-disabled="restoreData.vmOptions.vcloudVappName==null || restoreData.vmOptions.vcloudOrgVdcName==null">
										<option value=''>{{getVCloudNicDropdownText()}}</option>
								</select>
								<span class="help-block"
									data-ng-show="!restoreData.isAll() && vmFullRestoreForm.vCloudNic.$error && cv.vmFullRestoreForm.needsAttention(vmFullRestoreForm.vCloudNic)">
										<cv:msg key="error.vClouNic" bundle="restore"></cv:msg>
								</span>
								</label>
								<!-- </div> -->
							</div>
						</div>
					</div>
					<div class="button-container">
						<fmt:bundle basename="localization.messages">
							<button id="vmFullRestoreVMWare_button_#3940" type="button" class="btn btn-default setup-btn--hidden"
								data-ng-click="cancel()">
								<fmt:message key="Cancel" />
							</button>
				<%-- 			<button id="vmFullRestoreVMWare_button_#4433" data-ng-show="step=='2'" type="button"
								class="btn btn-default setup-btn--hidden"
								data-ng-click="changeStep('back')">
								<fmt:message key="Back" />
							</button> --%>
				<%-- 	<button id="vmFullRestoreVMWare_button_#1986" type="submit" data-ng-show="step=='1'"
								class="btn cvBusyOnAjax btn-primary setup-btn--hidden">
								<fmt:message key="Next" />
							</button> --%>
							<button id="vmFullRestoreVMWare_button_#7393" type="submit" data-ng-disabled="disableBrowse"
								class="btn cvBusyOnAjax btn-primary">
								<fmt:message key="Submit" />
							</button>
						</fmt:bundle>
					</div>
				</form>
					<%--  <!-- select a different vcenter details goes here -->
					<label data-ng-click="ownVcenter.select = !ownVcenter.select; vCenterChanged()" data-ng-if="isOutOfPlaceRestore && !targetSelected && showVM">
						<toggle-control status="ownVcenter.select ? 'enabled-activity' : 'disabled-activity'">
						</toggle-control><span><cv:msg key="label.selectOwnVcenter" bundle="restore" /></span>
					</label>
					<div data-ng-if="ownVcenter.select && !targetSelected && showVM">
						<label> <fmt:message key="label.domain" /> <input
							type="text" name="vcHostName" data-ng-model="vCenter.vcHostName"/>
						</label> <label> <fmt:message key="label.username" /> <input
							type="text" name="vcLoginName" data-ng-model="vCenter.vcLoginName"/>
						</label> <label> <fmt:message key="label.password" /> <input
							type="password" name="vcPassword" data-ng-model="vCenter.vcPassword"/>
						</label> --%>
					</div>
					<label data-ng-click="restoreData.globalOptions.powerOn = !restoreData.globalOptions.powerOn" data-ng-show="showVM" >
						<toggle-control id="vmFullRestoreVmware_toggle_powerOn" status="restoreData.globalOptions.powerOn ? 'enabled-activity' : 'disabled-activity'">
						</toggle-control><span>{{powerOnLabel}}</span>
					</label>
					<label data-ng-click="restoreData.globalOptions.overwrite = !restoreData.globalOptions.overwrite; overwriteOptionChanged()" data-ng-show="showVM" >
						<toggle-control  id="vmFullRestoreVmware_toggle_overwrite" status="restoreData.globalOptions.overwrite ? 'enabled-activity' : 'disabled-activity'">
						</toggle-control><span><cv:msg key="warning.overwrite" bundle="restore" /></span>
					</label>
					<label>
						<div class="global-options remove-border-padding padding-top-10 padding-left-10 padding-bottom-10">
							<cv-alert-me selected="false" text="<cv:msg key='label.notifyUserOnJobCompletion' bundle='messages'/>"></cv-alert-me>
						</div>
					</label>
					 <cv-plain-accordion accordion-label="label.additionalOptions" collapsed="additionalOptions" data-ng-show="showVM">
					 	<!-- Disk provisioning options  -->
						<div class="setup-input-group text-left">
						<label class="schedule-repeat-label inline-label"><cv:msg key="label.diskProvisioning" bundle="collectionsJs" /></label>
							<div class="company-multi-select">
									<isteven-multi-select id="vmFullRestoreVMWare_isteven-multi-select_#6106"
											input-model="diskProvisionOptions"
											output-model="selectedDiskProvOption"
											button-label="name"
											directive-id="diskProvision"
											item-label="name"
											tick-property="selected"
											selection-mode="single"
											class="isteven-multi-select user-group-select single-select"
											helper-elements="None"
											max-labels="1"
											translation="localLang"
											on-item-click="changeDiskProvOption(selectedDiskProvOption[0].value)">
									</isteven-multi-select>
							</div>
						</div>
						<div class="setup-input-group text-left">
						<label class="schedule-repeat-label inline-label"><cv:msg key="label.transportMode" bundle="collectionsJs" /></label>
							<div class="company-multi-select">
									<isteven-multi-select id="vmFullRestoreVMWare_isteven-multi-select_#5144"
											input-model="transportModeTypes"
											output-model="selectedTransportModeType"
											button-label="name"
											item-label="name"
											tick-property="selected"
											directive-id="transportMode"
											selection-mode="single"
											class="isteven-multi-select user-group-select single-select"
											helper-elements="None"
											max-labels="1"
											translation="localLang"
											on-item-click="changeTransportModeType(selectedTransportModeType[0].value)">
									</isteven-multi-select>
							</div>
						</div>
						<div data-ng-show="!inCrossVendorRestoreMode && !targetSelected">
						<label data-ng-click="liveRecoveryOption.select = !liveRecoveryOption.select; liveRecoveryOptionChanged()" data-ng-disabled="inLiveRestoreMode">
							<toggle-control id="vmFullRestoreVmware_toggle_liveRecovery" status="liveRecoveryOption.select ? 'enabled-activity' : 'disabled-activity'">
							</toggle-control><span><cv:msg key="label.liveRecoveryOption" bundle="restore" /></span>
						</label>
						<div class="setup-input-group text-left" data-ng-if="liveRecoveryOption.select">
							<label class="schedule-repeat-label inline-label"><fmt:message key="label.redirectWritesToDatastore" /></label>
								<div class="company-multi-select">
									<isteven-multi-select id="vmFullRestoreVMWare_isteven-multi-select_#7353"
										input-model="restoreData.vmOptions.writeDataStoreList"
										output-model="selectedRedirectWritesToDatastore"
										button-label="label"
										item-label="label"
										tick-property="selected"
										directive-id="redirect-write-data-store"
										selection-mode="single"
										class="isteven-multi-select user-group-select single-select"
										helper-elements="filter"
										search-limit="10"
										max-labels="1"
										translation="localLang"
										on-item-click="changeDataStore(selectedRedirectWritesToDatastore[0])">
									</isteven-multi-select>
								</div>
								<span class="help-block" data-ng-show="redirectWriteDatastoreShowErrorMessage()">
									{{redirectWritesToDatastoreErrorMessage}}
							</span>
						</div>
						<div class="setup-input-group text-left" data-ng-if="liveRecoveryOption.select">
							<label for="delay-migration" class="schedule-repeat-label inline-label"><fmt:message key="label.delayMigration" /></label>
		      				<input type="number" id="delayMigration" name="delayMigration" data-ng-model="liveRecoveryOption.delayMigration" class="delayMigration" min="0"  max="{{liveRecoveryOption.maxDelayMigrationInHours}}">
							<span class="help-block" data-ng-show="delayMigrationShowErrorMessage()">
									{{delayMigrationErrorMessage}}
							</span>
				 		</div>
				 	</div> 
					 </cv-plain-accordion>
			</div>
		</div>
</fmt:bundle>